Bug 215189 - Should be able to run as non-root
Should be able to run as non-root
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 01:47 EST by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.6.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 10:02:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-11-12 01:47:16 EST
Why does system-config-kickstart use consolehelper?  If you 
run /usr/share/system-config-kickstart/system-config-kickstart.py as non-root 
then all functions seem to work, and there is no reason why I should not be 
able to create system configuration files to be used on machine B while logged 
in as a regular user on machine A.

An example of the use of this is when running a RHEL NFS server which serves 
kickstart data.  It is not possible to run system-config-kickstart on a RHEL 
machine to generate ks.cfg files for Fedora installs.  It makes sense to allow 
the administrator of a RHEL server in this example to run 
system-config-kickstart on a machine that they do not administer.
Comment 1 Chris Lumens 2006-11-13 10:02:22 EST
This is fixed in system-config-kickstart-2.6.17-1 which is currently available
from fc6-updates-testing.  I will push this update to final later today.

Note You need to log in before you can comment on or make changes to this bug.